﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
. "$(Join-Path $toolsDir commonEnv.ps1)"

$url        = 'http://developer.nordicsemi.com/nRF5_SDK/nRF5_SDK_v15.x.x/nRF5_SDK_15.3.0_59ac345.zip'
$baseFolder = [io.path]::GetFileNameWithoutExtension($url)
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '9C9307D757D109007F2FCC4E547AC10B1A9FD9FAA477E8DBF3F7E1624C4801A5'
  checksumType  = 'sha256'
}
Install-ChocolateyZipPackage @packageArgs

Install-ChocolateyEnvironmentVariable $ENV_NAME "$(Join-Path $toolsDir $baseFolder)"
